.field-upload-ois
    width: 100%
    background-image: linear-gradient(109.88deg, #1E4B79 0%, #4174AA 100%)
    background-position: center bottom
    background-repeat: no-repeat
    padding: 130px 20px 50px 20px
    position: relative
    cursor: pointer
    background-size: auto
    overflow: hidden
    &:before
        content: ''
        width: 100%
        height: 100%
        background-image: url('~assets/blocks/fields/field-upload-ois/icons/background.svg')
        display: block
        position: absolute
        background-position: center bottom
        background-repeat: no-repeat
        left: 0
        top: 0
        z-index: 100
    &:after
        content: ''
        display: block
        background: url('~assets/blocks/fields/field-upload-ois/icons/status-background.svg') center 5px no-repeat
        width: 350px
        height: 350px
        position: absolute
        top: 105px
        left: calc(50% - 175px)
        background-size: contain
        z-index: 100
    &__status-bar
        position: absolute
        bottom: 0px
        border-bottom: 4px solid #FFA552
        width: 0%
        left: 0
        // transition: all .3s .1s
    &__link
        color: #fff
        padding-left: 20px
        text-transform: uppercase
        cursor: pointer
        padding: 5px 5px 5px 20px
        background: url('~assets/blocks/fields/field-upload-ois/icons/back-btn.svg') no-repeat center left / 9px 19px
        max-width: 700px
        width: 100%
        margin: 0 auto 50px
        display: block
        line-height: 20px
        position: relative
        z-index: 500
    &--uppercase
        text-transform: uppercase
    &__content
        text-align: center
    &__text
        font-size: 22px
        line-height: 26px
        margin: 20px 0 0
    &__types
        font-size: 12px
        line-height: 14px
        color: #FFFFFF
        opacity: 0.5
        margin-top: 20px
    &__select-file
        color: #08BDF1
        padding-right: 15px
    &__drop-here
        padding-left: 15px
    &__status
        margin: 0 auto
        &-icon
            width: 155px
            height: 145px
            margin: auto
            background-image: url('~assets/blocks/fields/field-upload-ois/icons/upload.svg')
            background-position: center
            background-repeat: no-repeat
            background-size: contain
            &--error
                background-image: url('~assets/blocks/fields/field-upload-ois/icons/error.svg')
            &--success
                background-image: url('~assets/blocks/fields/field-upload-ois/icons/success.svg')
            &--loading
                background-image: url('')
                width: 131px
                padding-top: 10px
    &__input
        position: absolute
        width: 5px
        height: 5px
        overflow: hidden
        top: 0
        left: 0
        opacity: 0
        visibility: hidden
        cursor: pointer
    &__error
        font-size: 22px
        line-height: 26px
        color: #FF9B9B
    &__load-orher
        font-size: 16px
        line-height: 19px
        color: #61CFFF
        margin-top: 15px
    @media screen and (max-width: 480px)
        padding: 95px 20px 20px 20px;
        &:after
            width: 102px
            height: 102px
            left: calc(50% - 51px)
            top: 65px
            background-image: url('~assets/blocks/fields/field-upload-ois/icons/status-background-mobile.svg')
        &:before
            background-image: url('~assets/blocks/fields/field-upload-ois/icons/background-mobile.svg')
            background-size: cover
        &__link
            padding: 10px
            width: 9px
            height: 22px
            background-size: auto
            box-sizing: content-box
            background-position: center
            position: absolute
            margin: 0
            & > span
                display: none
        &__status
            &-icon
                width: 45px
                height: 45px
        &__text
            font-size: 16px
            margin: 15px 0 0
            &-default
                & > span
                    display: none
                & > .field-upload-ois__select-file
                    display: block
                    padding: 0
        &__types
            margin-top: 10px